diff --git a/src/test/regress/expected/aggregates.out b/src/test/regress/expected/aggregates.out
index 45208a6..39b3001 100644
--- a/src/test/regress/expected/aggregates.out
+++ b/src/test/regress/expected/aggregates.out
@@ -1352,29 +1352,29 @@ select string_agg(v, '') from bytea_test_table;
 (1 row)
 
 insert into bytea_test_table values(decode('ff','hex'));
-select string_agg(v, '') from bytea_test_table;
- string_agg 
-------------
- \xff
+select encode(string_agg(v, ''), 'escape') from bytea_test_table;
+ encode 
+--------
+ \377
 (1 row)
 
 insert into bytea_test_table values(decode('aa','hex'));
-select string_agg(v, '') from bytea_test_table;
- string_agg 
-------------
- \xffaa
+select encode(string_agg(v, ''), 'escape') from bytea_test_table;
+  encode  
+----------
+ \377\252
 (1 row)
 
-select string_agg(v, NULL) from bytea_test_table;
- string_agg 
-------------
- \xffaa
+select encode(string_agg(v, NULL), 'escape') from bytea_test_table;
+  encode  
+----------
+ \377\252
 (1 row)
 
-select string_agg(v, decode('ee', 'hex')) from bytea_test_table;
- string_agg 
-------------
- \xffeeaa
+select encode(string_agg(v, decode('ee', 'hex')), 'escape') from bytea_test_table;
+    encode    
+--------------
+ \377\356\252
 (1 row)
 
 drop table bytea_test_table;
diff --git a/src/test/regress/expected/privileges.out b/src/test/regress/expected/privileges.out
index f66b443..22766a9 100644
--- a/src/test/regress/expected/privileges.out
+++ b/src/test/regress/expected/privileges.out
@@ -1122,24 +1122,24 @@ SELECT lo_create(2002);
       2002
 (1 row)
 
-SELECT loread(lo_open(1001, x'40000'::int), 32);
- loread 
+SELECT encode(loread(lo_open(1001, x'40000'::int), 32), 'escape');
+ encode 
 --------
- \x
+ 
 (1 row)
 
 SELECT loread(lo_open(1002, x'40000'::int), 32);	-- to be denied
 ERROR:  permission denied for large object 1002
-SELECT loread(lo_open(1003, x'40000'::int), 32);
- loread 
+SELECT encode(loread(lo_open(1003, x'40000'::int), 32), 'escape');
+ encode 
 --------
- \x
+ 
 (1 row)
 
-SELECT loread(lo_open(1004, x'40000'::int), 32);
- loread 
+SELECT encode(loread(lo_open(1004, x'40000'::int), 32), 'escape');
+ encode 
 --------
- \x
+ 
 (1 row)
 
 SELECT lowrite(lo_open(1001, x'20000'::int), 'abcd');
@@ -1185,18 +1185,18 @@ SELECT oid, pg_get_userbyid(lomowner) ownername, lomacl FROM pg_largeobject_meta
 (6 rows)
 
 SET SESSION AUTHORIZATION regress_user3;
-SELECT loread(lo_open(1001, x'40000'::int), 32);
-   loread   
-------------
- \x61626364
+SELECT encode(loread(lo_open(1001, x'40000'::int), 32), 'escape');
+ encode 
+--------
+ abcd
 (1 row)
 
 SELECT loread(lo_open(1003, x'40000'::int), 32);	-- to be denied
 ERROR:  permission denied for large object 1003
-SELECT loread(lo_open(1005, x'40000'::int), 32);
- loread 
+SELECT encode(loread(lo_open(1005, x'40000'::int), 32), 'escape');
+ encode 
 --------
- \x
+ 
 (1 row)
 
 SELECT lo_truncate(lo_open(1005, x'20000'::int), 10);	-- to be denied
@@ -1225,10 +1225,10 @@ HINT:  Anyone can use the client-side lo_export() provided by libpq.
 \c -
 SET lo_compat_privileges = true;	-- compatibility mode
 SET SESSION AUTHORIZATION regress_user4;
-SELECT loread(lo_open(1002, x'40000'::int), 32);
- loread 
+SELECT encode(loread(lo_open(1002, x'40000'::int), 32), 'escape');
+ encode 
 --------
- \x
+ 
 (1 row)
 
 SELECT lowrite(lo_open(1002, x'20000'::int), 'abcd');
diff --git a/src/test/regress/sql/aggregates.sql b/src/test/regress/sql/aggregates.sql
index 430ac49..755eee5 100644
--- a/src/test/regress/sql/aggregates.sql
+++ b/src/test/regress/sql/aggregates.sql
@@ -510,13 +510,13 @@ select string_agg(v, '') from bytea_test_table;
 
 insert into bytea_test_table values(decode('ff','hex'));
 
-select string_agg(v, '') from bytea_test_table;
+select encode(string_agg(v, ''), 'escape') from bytea_test_table;
 
 insert into bytea_test_table values(decode('aa','hex'));
 
-select string_agg(v, '') from bytea_test_table;
-select string_agg(v, NULL) from bytea_test_table;
-select string_agg(v, decode('ee', 'hex')) from bytea_test_table;
+select encode(string_agg(v, ''), 'escape') from bytea_test_table;
+select encode(string_agg(v, NULL), 'escape') from bytea_test_table;
+select encode(string_agg(v, decode('ee', 'hex')), 'escape') from bytea_test_table;
 
 drop table bytea_test_table;
 
diff --git a/src/test/regress/sql/privileges.sql b/src/test/regress/sql/privileges.sql
index 00dc7bd..8e6f47c 100644
--- a/src/test/regress/sql/privileges.sql
+++ b/src/test/regress/sql/privileges.sql
@@ -709,10 +709,10 @@ SET SESSION AUTHORIZATION regress_user2;
 SELECT lo_create(2001);
 SELECT lo_create(2002);
 
-SELECT loread(lo_open(1001, x'40000'::int), 32);
+SELECT encode(loread(lo_open(1001, x'40000'::int), 32), 'escape');
 SELECT loread(lo_open(1002, x'40000'::int), 32);	-- to be denied
-SELECT loread(lo_open(1003, x'40000'::int), 32);
-SELECT loread(lo_open(1004, x'40000'::int), 32);
+SELECT encode(loread(lo_open(1003, x'40000'::int), 32), 'escape');
+SELECT encode(loread(lo_open(1004, x'40000'::int), 32), 'escape');
 
 SELECT lowrite(lo_open(1001, x'20000'::int), 'abcd');
 SELECT lowrite(lo_open(1002, x'20000'::int), 'abcd');	-- to be denied
@@ -733,9 +733,9 @@ SELECT oid, pg_get_userbyid(lomowner) ownername, lomacl FROM pg_largeobject_meta
 
 SET SESSION AUTHORIZATION regress_user3;
 
-SELECT loread(lo_open(1001, x'40000'::int), 32);
+SELECT encode(loread(lo_open(1001, x'40000'::int), 32), 'escape');
 SELECT loread(lo_open(1003, x'40000'::int), 32);	-- to be denied
-SELECT loread(lo_open(1005, x'40000'::int), 32);
+SELECT encode(loread(lo_open(1005, x'40000'::int), 32), 'escape');
 
 SELECT lo_truncate(lo_open(1005, x'20000'::int), 10);	-- to be denied
 SELECT lo_truncate(lo_open(2001, x'20000'::int), 10);
@@ -755,7 +755,7 @@ SELECT lo_export(1001, '/dev/null');			-- to be denied
 SET lo_compat_privileges = true;	-- compatibility mode
 SET SESSION AUTHORIZATION regress_user4;
 
-SELECT loread(lo_open(1002, x'40000'::int), 32);
+SELECT encode(loread(lo_open(1002, x'40000'::int), 32), 'escape');
 SELECT lowrite(lo_open(1002, x'20000'::int), 'abcd');
 SELECT lo_truncate(lo_open(1002, x'20000'::int), 10);
 SELECT lo_unlink(1002);
